\section{Prelude to Survey Analysis}
\label{sec:Analysis}
In this section we describe a high level summary of the answers given by the 
HPC centers.

This section presents a high-level summary of the site responses to the survey, 
categorized into capabilities that each site is considering in the context of
research, technology development with the intent to eventually deploy into 
production, and those that are actively deployed into the site’s production 
computing environment.
Due to the selection process described above, some sites may not have research 
or technology development efforts, however all sites have some type of 
production deployment of energy and power aware job scheduling and resource 
management in place.
\\\\
\uline{RIKEN:}
\textbf{Research Activities:}
Integrating job scheduler info with decision to use grid vs. gas turbine energy
\textbf{Technology Development with Intent to Deploy:}
Power-aware job scheduling for Post-K, with Fujitsu.
\textbf{Production Development:}
\begin{inparaenum}
    \item 3 days for large jobs each month
    \item Automated emergency job killing if power limit exceeded
    \item Pre-run estimate of power usage of each job, based on temperature
\end{inparaenum}
\\\\
\uline{Tokyo Institute of Technology:}
\textbf{Research Activities:} Activities to facilitate Production Development.
\textbf{Technology Development with Intent to Deploy:}
Inter-system power capping. 
TSUBAME2 and TSUBAME3 will need to share the facility power budget.
\textbf{Production Development:}
\begin{inparaenum}
    \item Resource manager dynamically boots or shuts down nodes to stay under 
    power cap (summer only, enforced over \~~30 min window). 
    Interacts with job scheduler to avoid killing jobs.
    NEC implemented, works cooperatively with PBS Pro.
    \item Resource manager shuts down nodes that have been idle for a long time.
    \item Uses virtual machines to split compute nodes. 
    (Complicates physical node shutdown.)
\end{inparaenum}
\\\\
\uline{CEA:}
\textbf{Research Activities:}
\begin{inparaenum}
    \item Analyze collected power and energy info archived long term and use
    for EPA scheduling.
    \item Investigating mpi\_yield\_when\_idle
    \item Investigating power capping and DVFS  with BULL
\end{inparaenum}
\textbf{Technology Development with Intent to Deploy:}
\begin{inparaenum}
    \item Gives users mark on how well they used power and energy
    \item Developing power adaptive scheduling in SLURM, together with BULL
    \item Developing 'layout logic' in SLURM, be able to tell what PDUs/Chillers
    a node or rack depends on and avoid scheduling jobs on them when 
    maintenance
\end{inparaenum}
\textbf{Production Development:}
\begin{inparaenum}
    \item Energy use provided to users at end of every job.
    \item Manually shutting down nodes to shift power budget between systems.
\end{inparaenum}
\\\\
\uline{KAUST:}
\textbf{Research Activities:}
Monitoring and managing power usage under data center power and cooling limits
\textbf{Technology Development with Intent to Deploy}
Analyzing and detecting most power hungry applications in production.
Developing optimal power limit constraint strategy for users on Shaheen Cray 
XC40, while maintaining several HPC systems in production (BG/P and clusters)
\textbf{Production Development:}
\begin{inparaenum}
    \item Static power capping via Cray CAPMC. 30\% of nodes run uncapped, 70\% 
    run with 270~W power cap.
    \item SLURM Dynamic Power Management (SDPM), interfaces with Cray CAPMC 
    (KAUST worked with SchedMD to develop SDPM)
\end{inparaenum}
\\\\
\uline{LRZ:}
\textbf{Research Activities:}
\begin{inparaenum}
    \item Investigating merging SLURM and GEOPM for system energy \& power 
    control.
    \item Investigating scheduling for power, rather than energy.
    \item Linking job scheduler with IT infrastructure + cooling; scheduler may
    delay jobs when IT infrastructure is particularly inefficient
\end{inparaenum}
\textbf{Technology Development with Intent to Deploy:}
    Adding energy-aware scheduling capabilities to SLURM, similar to what they 
    have with LoadLeveler today.
\textbf{Production Development:}
\begin{inparaenum}
    \item First time new app runs: characterized for frequency, runtime and 
    energy.
    \item Administrator selects job scheduling goal, energy to solution or best 
    performance.
    \item LRZ worked with IBM on energy-aware scheduling support in
    LoadLeveler, now ported to LSF.
\end{inparaenum}
\\\\
\uline{STFC:}
\textbf{Research Activities:}
\begin{inparaenum}
\item IBM/LSF energy-aware scheduling being experimented with on small-scale
    (360 node) system.
\item Programmable interface (based on PowerAPI) for application power 
    measurements of code segments (with interface to JSRM)
\item Investigation of power aware policies using higher level abstract e.g., 
    GEOPM and Job Scheduler.
\end{inparaenum}
\textbf{Technology Development with Intent to Deploy:}
Deployment of reporting tool for user power consumption at the job level. 
(Fine as well as coarse granularity)
\textbf{Production Development:}
Continuously collecting power and energy system monitoring info, data center, 
machine, and job levels
\\\\
\uline{Trinity (LANL + Sandia:}
\textbf{Research Activities:}
Analyzing power system monitoring info to assess potential of EPA scheduling, 
gather traces for evaluating EPA approaches.
\textbf{Technology Development with Intent to Deploy:}
\begin{inparaenum}
\item Developed EPA job scheduling support with Adaptive Inc. for MOAB/Torque, 
    interfaces with Cray CAPMC and Power API. 
    Trinity now using SLURM, but MOAB work remains available for future use.
\item Developed Power API implementation with Cray, utilized by MOAB/Torque for 
    EPA job scheduling.
\end{inparaenum}
\textbf{Production Development:}
 Cray CAPMC power capping infrastructure, out-of-band control, administrator 
 ability to set system-wide and node-level power caps (available on all Cray XC 
 systems).
\\\\
\uline{CINECA:}
\textbf{Research Activities:}
Scalable power monitoring, used to predict per-job power use and used to 
generate predictive models for node power and temperature evolution (with 
University of Bologna)
\textbf{Technology Development with Intent to Deploy:}
Developing EPA job scheduling support in SLURM, with E4.
Also tracking EPA SLURM work being done by BULL and SchedMD.
\textbf{Production Development}
EPA job scheduling on Eurora system (now decommissioned) using PBSPro,
collaboration with Altair
\\\\
\uline{JCAHPC (University of Tsukuba and the University of Tokyo)}
\textbf{Research Activities:} Activities to facilitate Production Development.
\textbf{Technology Development with Intent to Deploy}
--
\textbf{Production Development}
\begin{inparaenum}
\item Ability to set power caps for groups of nodes via the resource manager 
    (Fujitsu proprietary product)
\item Manual emergency response, admin sets power cap.
\item Delivering post-job energy use reports to users
\end{inparaenum}
\\\\
The summary of the answers is obviously a shortened overview of the activities at 
the interviewed centers. 
This work will be followed by an in depth analysis of the interviews, going into 
detail in regards to their solutions, the similarities, and applicability.

